Subject: RE: I-draft on wireless ND

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 2 May 2019 09:54:58 +0000

Hello Shesha:

Many thanks for your review, please see below

Page 2 - shared physical resource such as the legacy Ethernet shared wire.

        Why describe wireline when the draft is about wireless.

To contrast it. People are used to wired paradigm and wireless can be different. I wanted to show how in order to ease the adoption

Page 2 – Litterally every datagram defines its own broadcast domain

        Litterally – Typo

        Datagram or node ?

I meant datagram. The next datagram will be received by a set of nodes that may be different. But a paradigm like that is hard to use.

Page 3 - (e.g., cristals, PAs and antennas)

        Cristals – Typo

Page 3 - e.g., A to B but not practically not B to A.
        double negative – Is that correct ?

Thanks! I meant e.g., A to B but practically not B to A.

Page 3 - In other words, the property of radio connectivity is generally not transitive A may talk to B and B may talk to C does not necessarily imply that A can talk to C.

        Is that true ? That is how two nodes take using AP. Here AP is like node B. No ?

This is discussed later in the draft. What you are describing is a MAC layer emulation in infra BSS. The text is about PHY layer

A does not talk to C but A talks to B and B reflects the packet to C.

I changed to” meaning that A may be in range with B and B may be in range with C does not necessarily imply that A is in range with  C.” to clarify.

Page 3 - A PHY-layer communication can be established between 2 nodes if their physical broadcast domains overlap.

        Domain does not mean transmission range - right ?

Yes, I will add that to clarify. At the beginning of the section:

“

At the physical (PHY) Layer, a broadcast domain is the set of nodes that may receive a datagram that one sends over an interface, in other words the set of nodes in range of radio transmission.

“

Page 3 - Ethernet Briging emulates

        Briging – Typo

Page 3 section 2.2 – In the first two paragraphs you talk about wireline network. Is that necessary. The draft is for wireless, why confuse the readers with how broadcast is emulated on a wireline network ?

I see wha you are saying but the section is on broadcast emulation. It shows that WiND can be used everywhere including wires, in particular with overlays.

Page 4 - For that reason, special efforts are made to ensure

   that all nodes in the BSS receive the broadcast transmission.  To

   achieve this, the transmission is sent at the highest power and

   slowest PHY speed.

    The above can be combined as –

    To ensure that all nodes in the BSS receive the broadcast transmission,

    AP transmits at the highest power and slowest PHY speed.

Changed following your suggestion

    Is it a standard that AP transmits at highest power for broadcast ?

Not sure. TPC is part of the standard but how to use it for broadcast may not be. There’s tons of papers on the subject but maybe it’s easier not to mention power adaptation.

    If not, then shouldn’t that be mentioned ?

Page 4 - transparent bridging over a spanning tree.

  Mention of spanning tree seems out-of-context as there is no preamble for that.

Changed to

In an IEEE Std 802.11 Infrastructure Extended Service Set (ESS), infrastructure BSSes are interconnected by a bridged network, typically running Transparent Bridging and Spanning tree Protocol. The process of the association prepares a bridging state proactively at the AP, so as to avoid the reactive broadcast lookup that takes place over the spanning tree in the process of transparent bridging.

Page 4 2nd paragraph – The concept is not brought out clearly.

Changed to

“

In an IEEE Std 802.11 Infrastructure Extended Service Set (ESS), infrastructure BSSes are interconnected by a bridged network, typically running Transparent Bridging and Spanning tree Protocol. In the original model, the state in the Transparent Bridge is set by observing the source MAC address of the frames. When a state is missing for a destination MAC address, the frame is broadcasted with the expectation that the response will populate the state. This is a reactive operation, meaning that the state is populated reactively to a need for forwarding. It is also possible to send a gratuitous frame to advertise self throughout the bridged network, and that is also a broadcast. The process of the association prepares a bridging state proactively at the AP, so as to avoid the reactive broadcast lookup. It may also generates a gratuitous broadcast sourced at the MAC address of the STA to prepare or update the state in the Transparent Bridges. This model avoids the need of multicast over the wireless access, and it is only logical that IPv6 ND evolved towards proposes similar methods at Layer-3 for its operation. “

Page 4 3rd paragraph - in some cases of WLAN and WPAN radios

        Uncapitalized start

Fixed

Page 4 - a mesh-under technology

        Is that a standard terminology ? Mesh underlay perhaps ?

Yes, it is standard at the IETF in 6lo related groups, by opposition to route over.

Page 4 - similar to bridgeing

        bridgeing - Typo

Cool!

I posted 03 with the fixes.

Many thanks again;

Pascal